GEARMAN_ARGUMENT_T(3)

NAME
gearman_argument_t - Gearmand Documentation, http://gearman.info/

SYNOPSIS

#include <libgearman/gearman.h>

    type gearman_argument_t

    gearman_argument_t gearman_argument_make(const char *name, const size_t <#c.size_t> name_length, const char *value, const size_t <#c.size_t> value_size)

Compile and link with -lgearman

DESCRIPTION

The gearman_argument_make() function initializes gearman_argument_t.

gearman_argument_t is an abstraction used passing arguments too gearman_execute() <#c.gearman_execute>. The arguments are not copied, so any object that is used to initialize gearman_argument_t must continue to exist throughout the lifetime/usage of the structure.

SEE ALSO

gearmand(8) libgearman(3) gearman_client_error() or gearman_worker_error()

Author
Data Differential http://www.datadifferential.com/

Copyright
2011-2014, Data Differential, http://www.datadifferential.com/